GDCM 3.2.1

Classes | Namespaces | Functions
gdcmElement.h File Reference
`#include "gdcmTypes.h"`
`#include "gdcmVR.h"`
`#include "gdcmTag.h"`
`#include "gdcmVM.h"`
`#include "gdcmByteValue.h"`
`#include "gdcmDataElement.h"`
`#include "gdcmSwapper.h"`
`#include <string>`
`#include <vector>`
`#include <sstream>`
`#include <limits>`
`#include <cmath>`
`#include <cstring>`
Include dependency graph for gdcmElement.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | gdcm::Element< TVR, TVM >
| Element class. More...
class | gdcm::Element< TVR, VM::VM1_2 >
class | gdcm::Element< TVR, VM::VM1_n >
class | gdcm::Element< TVR, VM::VM2_2n >
class | gdcm::Element< TVR, VM::VM2_n >
class | gdcm::Element< TVR, VM::VM3_3n >
class | gdcm::Element< TVR, VM::VM3_4 >
class | gdcm::Element< TVR, VM::VM3_n >
class | gdcm::Element< VR::AS, VM::VM5 >
class | gdcm::Element< VR::OB, VM::VM1 >
class | gdcm::Element< VR::OW, VM::VM1 >
class | gdcm::ElementDisableCombinations< TVR, TVM >
| A class which is used to produce compile errors for an invalid combination of template parameters. More...
class | gdcm::ElementDisableCombinations< VR::OB, VM::VM1_n >
class | gdcm::ElementDisableCombinations< VR::OW, VM::VM1_n >
class | gdcm::EncodingImplementation< VR::VRASCII >
class | gdcm::EncodingImplementation< VR::VRBINARY >
struct | gdcm::ignore_char

## Namespaces
namespace | gdcm

## Functions
static int | gdcm::add1 (char *buf, int n)
ignore_char const | gdcm::backslash ('\\')
static void | gdcm::clean (char *mant)
static int | gdcm::doround (char *buf, unsigned int n)
std::istream & | gdcm::operator>> (std::istream &in, ignore_char const &ic)
static int | gdcm::roundat (char *buf, size_t bufLen, unsigned int i, int iexp)
template<typename Float>
static void | gdcm::x16printf (char *buf, int size, Float f)